This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 477 - Compiler warning: enum-compare in Transform.h with gcc4.7
Summary: Compiler warning: enum-compare in Transform.h with gcc4.7
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Geometry (show other bugs)
Version: 3.1
Hardware: All All
: Normal Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-18 23:59 UTC by sh33lda
Modified: 2019-12-04 11:43 UTC (History)
3 users (show)



Attachments

Description sh33lda 2012-06-18 23:59:15 UTC
The declaration of an affine transformation

Eigen::Affine3f T;

produces the following warning on gcc4.7

Eigen/src/Geometry/Transform.h: In instantiation of 'struct Eigen::internal::transform_traits<Eigen::Transform<float, 3, 2> >':
Eigen/src/Geometry/Transform.h:415:3:   required from 'class Eigen::Transform<float, 3, 2>'
Eigen/src/Geometry/Transform.h:38:3: warning: comparison between 'enum Eigen::Transform<float, 3, 2>::<anonymous>' and 'enum Eigen::TransformTraits' [-Wenum-compare]
Comment 1 Gael Guennebaud 2012-06-20 09:58:49 UTC
thanks for the report.

https://bitbucket.org/eigen/eigen/changeset/1688e91c43ca/
changeset:   1688e91c43ca
user:        ggael
date:        2012-06-20 09:54:52
summary:     fix bug 477: warning with gcc 4.7

https://bitbucket.org/eigen/eigen/changeset/a0ddb2132d5f/
changeset:   a0ddb2132d5f
branch:      3.0
user:        ggael
date:        2012-06-20 09:54:52
summary:     fix bug 477: warning with gcc 4.7
(transplanted from 1688e91c43caccda927d1f1911756ebc76a52f20)
Comment 2 Nobody 2019-12-04 11:43:46 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/477.

Note You need to log in before you can comment on or make changes to this bug.